package io.xjar;

import java.io.IOException;
import java.io.InputStream;

public class XUnclosedInputStream extends InputStream
{
    private final InputStream in;
    
    public XUnclosedInputStream(final InputStream in) {
        this.in = in;
    }
    
    @Override
    public int read() throws IOException {
        return this.in.read();
    }
    
    @Override
    public int read(final byte[] b) throws IOException {
        return this.in.read(b);
    }
    
    @Override
    public int read(final byte[] b, final int off, final int len) throws IOException {
        return this.in.read(b, off, len);
    }
    
    @Override
    public long skip(final long n) throws IOException {
        return this.in.skip(n);
    }
    
    @Override
    public int available() throws IOException {
        return this.in.available();
    }
    
    @Override
    public void mark(final int readLimit) {
        this.in.mark(readLimit);
    }
    
    @Override
    public void reset() throws IOException {
        this.in.reset();
    }
    
    @Override
    public boolean markSupported() {
        return this.in.markSupported();
    }
    
    @Override
    public void close() {
    }
}
